[debian-edu-commits] r79648 - in branches/wheezy/debian-edu-config: debian testsuite
pere at alioth.debian.org
pere at alioth.debian.org
Sat Apr 20 21:16:32 UTC 2013
Author: pere
Date: 2013-04-20 21:16:32 +0000 (Sat, 20 Apr 2013)
New Revision: 79648
Added:
branches/wheezy/debian-edu-config/testsuite/rdp-server
Modified:
branches/wheezy/debian-edu-config/debian/changelog
Log:
New testsuite test to verify that the RDP server is running
and accepting TCP connections.
Modified: branches/wheezy/debian-edu-config/debian/changelog
===================================================================
--- branches/wheezy/debian-edu-config/debian/changelog 2013-04-20 19:32:57 UTC (rev 79647)
+++ branches/wheezy/debian-edu-config/debian/changelog 2013-04-20 21:16:32 UTC (rev 79648)
@@ -1,3 +1,10 @@
+debian-edu-config (1.704~svn79645) UNRELEASED; urgency=low
+
+ * New testsuite test to verify that the RDP server is running
+ and accepting TCP connections.
+
+ -- Petter Reinholdtsen <pere at debian.org> Sat, 20 Apr 2013 23:14:22 +0200
+
debian-edu-config (1.704~svn79644) wheezy-test; urgency=low
* Make sure LTSP change to 032-edu-pkgs regarding runlevel changes
Added: branches/wheezy/debian-edu-config/testsuite/rdp-server
===================================================================
--- branches/wheezy/debian-edu-config/testsuite/rdp-server (rev 0)
+++ branches/wheezy/debian-edu-config/testsuite/rdp-server 2013-04-20 21:16:32 UTC (rev 79648)
@@ -0,0 +1,31 @@
+#!/bin/sh -e
+#
+# Test if the RDP server is operational
+
+. /usr/share/debian-edu-config/testsuite-lib.sh
+
+if test -r /etc/debian-edu/config ; then
+ . /etc/debian-edu/config
+fi
+
+# Only Main-Server profiles provide RDP
+if echo "$PROFILE" | egrep -q 'Main-Server' ; then
+ :
+else
+ exit 0
+fi
+
+if pidof xrdp > /dev/null ; then
+ echo "success: $0: xrdp is running."
+else
+ echo "error: $0: xrdp is not running."
+fi
+
+if pidof xrdp-sesman > /dev/null ; then
+ echo "success: $0: xrdp-sesman is running."
+else
+ echo "error: $0: xrdp-sesman is not running."
+fi
+
+netstat_check 4885 tcp "xrdp" || true
+netstat_check 4888 tcp "xrdp-sesman" || true
Property changes on: branches/wheezy/debian-edu-config/testsuite/rdp-server
___________________________________________________________________
Added: svn:executable
+ *
More information about the debian-edu-commits
mailing list